Page MenuHomePhabricator

MWException when creating a newsletter with a '_' in name
Closed, ResolvedPublic

Description

Just tried creating a newsletter with name Main_Page1231235 and see what I got on Special:CreateNewsletter

Got this:

[Bug56269] Exception thrown with an uncommited database transaction: [d1d448271182417d2db6c833] [no req] MWException from line 129 of /var/www/core/core/extensions/Newsletter/includes/content/NewsletterContent.php: Cannot find newsletter with name \"Main Page1231235\"
[DBQuery] my_wiki ROLLBACK /* MWExceptionHandler::rollbackMasterChangesAndLog */
[exception] [d1d448271182417d2db6c833] [no req] MWException from line 129 of /var/www/core/core/extensions/Newsletter/includes/content/NewsletterContent.php: Cannot find newsletter with name \"Main Page1231235\"

Possible GCI task, and its an easy fix afaik!

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2017, 10:32 PM
Aklapper renamed this task from MWExceptioon when creating a newsletter with a '_' in name to MWException when creating a newsletter with a '_' in name.Jan 4 2017, 10:56 AM
Pppery claimed this task.Jan 4 2017, 8:58 PM
Pppery added a subscriber: Pppery.

The same error also happens when a Newsletter's title starts with a lowercase letter.

Change 330481 had a related patch set uploaded (by 01tonythomas):
Canonicalize title before creating new newsletter

https://gerrit.wikimedia.org/r/330481

01tonythomas closed this task as Resolved.Jan 4 2017, 9:54 PM

Change 330481 merged by jenkins-bot:
Canonicalize title before creating new newsletter

https://gerrit.wikimedia.org/r/330481

Qgil awarded a token.Jan 7 2017, 11:07 AM